package com.cosmodas.EntCosmos;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;
@Entity
@Table(name = "vDetalle_abonos")
public class VDetalleAbonos  implements Serializable {

    @Id
    @Column(name = "id")
    private String id;
    @Column(name = "abono_anulado")
    private char abonoAnulado;
    @Column(name = "abono_codigo")
    private String abonoCodigo;
    @Column(name = "abono_tipo")
    private String abonoTipo;
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Column(name = "factura_serie")
    private String facturaSerie;
    @Column(name = "documento_codigo")
    private String documentoCodigo;
    @Column(name = "programa_codigo")
    private String programaCodigo;
    @Column(name = "detalle_abono_fecha")
    private Date detalleAbonoFecha;
    @Column(name = "detalle_abono_cantidad")
    private Double detalleAbonoCantidad;

    public char getAbonoAnulado() {
        return abonoAnulado;
    }

    public void setAbonoAnulado(char abonoAnulado) {
        this.abonoAnulado = abonoAnulado;
    }

    public String getAbonoCodigo() {
        return abonoCodigo;
    }

    public void setAbonoCodigo(String abonoCodigo) {
        this.abonoCodigo = abonoCodigo;
    }

    public String getAbonoTipo() {
        return abonoTipo;
    }

    public void setAbonoTipo(String abonoTipo) {
        this.abonoTipo = abonoTipo;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getFacturaSerie() {
        return facturaSerie;
    }

    public void setFacturaSerie(String facturaSerie) {
        this.facturaSerie = facturaSerie;
    }

    public String getDocumentoCodigo() {
        return documentoCodigo;
    }

    public void setDocumentoCodigo(String documentoCodigo) {
        this.documentoCodigo = documentoCodigo;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    public Date getDetalleAbonoFecha() {
        return detalleAbonoFecha;
    }

    public void setDetalleAbonoFecha(Date detalleAbonoFecha) {
        this.detalleAbonoFecha = detalleAbonoFecha;
    }

    public Double getDetalleAbonoCantidad() {
        return detalleAbonoCantidad;
    }

    public void setDetalleAbonoCantidad(Double detalleAbonoCantidad) {
        this.detalleAbonoCantidad = detalleAbonoCantidad;
    }

    public VDetalleAbonos(char abonoAnulado, String abonoCodigo, String abonoTipo, String facturaCodigo, String facturaSerie, String documentoCodigo, String programaCodigo, Date detalleAbonoFecha, Double detalleAbonoCantidad) {
        this.abonoAnulado = abonoAnulado;
        this.abonoCodigo = abonoCodigo;
        this.abonoTipo = abonoTipo;
        this.facturaCodigo = facturaCodigo;
        this.facturaSerie = facturaSerie;
        this.documentoCodigo = documentoCodigo;
        this.programaCodigo = programaCodigo;
        this.detalleAbonoFecha = detalleAbonoFecha;
        this.detalleAbonoCantidad = detalleAbonoCantidad;
    }

    public VDetalleAbonos() {
    }
}
